- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Next
  - LimitToObject $object
  - LimitToPrincipal { Type => undef, Id => undef, IncludeGroupMembership => undef }

# NAME

      RT::ACL - collection of RT ACE objects

# SYNOPSIS

      use RT::ACL;
    my $ACL = RT::ACL->new($CurrentUser);

# DESCRIPTION

# METHODS

## Next

Hand out the next ACE that was found

## LimitToObject $object

Limit the ACL to rights for the object $object. It needs to be an RT::Record class.

## LimitToPrincipal { Type => undef, Id => undef, IncludeGroupMembership => undef }

Limit the ACL to the principal with PrincipalId Id and PrincipalType Type

Id is not optional. Type is.

if IncludeGroupMembership => 1 is specified, ACEs which apply to the principal due to group membership will be included in the resultset.

← Back to index